- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

# AddScoreCommand Class Reference

`#include <Command.h>`

Inheritance diagram for AddScoreCommand:

List of all members.

## Public Member Functions
| AddScoreCommand (int score)
| AddScoreCommand (List *command)
void | execute ()
std::string | getString ()
## Static Public Member Functions
static std::string | id ()
## Private Attributes
int | _score
## Static Private Attributes
static const std::string | _id = "addScore"

## Detailed Description

Definition at line 345 of file Command.h.

## Constructor & Destructor Documentation

AddScoreCommand::AddScoreCommand | ( | int | score | ) |

| Definition at line 10 of file AddScoreCommand.cpp.

AddScoreCommand::AddScoreCommand | ( | List * | command | ) |

| Definition at line 16 of file AddScoreCommand.cpp. References _score, List::firstInt(), and List::rest().

## Member Function Documentation

void AddScoreCommand::execute | ( |  | ) | `[virtual]`

| Implements Command. Definition at line 22 of file AddScoreCommand.cpp. References _score, Level::addScore(), and Level::instance().

std::string AddScoreCommand::getString | ( |  | ) | `[virtual]`

| Implements Command. Definition at line 28 of file AddScoreCommand.cpp. References _id, _score, List::getString(), and List::snoc().

static std::string AddScoreCommand::id | ( |  | ) | `[inline, static]`

| Definition at line 353 of file Command.h. References _id. Referenced by Command::loadCommand().

## Member Data Documentation

const std::string AddScoreCommand::_id = "addScore"`[static, private]`

| Definition at line 357 of file Command.h. Referenced by getString(), and id().

int AddScoreCommand::_score`[private]`

| Definition at line 355 of file Command.h. Referenced by AddScoreCommand(), execute(), and getString().

The documentation for this class was generated from the following files:

- C:/Documents and Settings/jegan/Desktop/projectX/Command.h
- C:/Documents and Settings/jegan/Desktop/projectX/AddScoreCommand.cpp